VALLOC(3)

NAME
valloc - aligned memory allocation function

SYNOPSIS
#include <unistd.h>
void *
valloc(size_t size);

DESCRIPTION
The valloc() function is obsoleted by the current version of malloc(3), which aligns page-sized and larger allocations, and posix_memalign(3), which allocates memory with a given alignment.

The valloc() function allocates size bytes aligned on a page boundary. It is implemented by calling malloc(3) with a slightly larger request, saving the true beginning of the block allocated, and returning a properly aligned pointer.

RETURN VALUES
The valloc() function returns a pointer to the allocated space if successful; otherwise a null pointer is returned.

SEE ALSO
malloc(3)

HISTORY
The valloc() function appeared in 3.0BSD.

BUGS
A vfree() function has not been implemented.